Bug 551834 - SIGSEGV in "__libc_malloc" in gajim.py whilst handling assertion failure in gtk_accel_group_activate
SIGSEGV in "__libc_malloc" in gajim.py whilst handling assertion failure in g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gajim (Show other bugs)
17
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
abrt_hash:d3ef6bd8cd20664f2f10fe42a7b...
: Reopened
: 540587 544828 551836 552361 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-02 08:40 EST by Tobias Mueller
Modified: 2013-08-01 14:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: gajim-0.13.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.38 KB, text/plain)
2010-01-02 08:40 EST, Tobias Mueller
no flags Details
Patch fixing the issue for me (27 bytes, patch)
2012-10-01 11:30 EDT, Tobias Mueller
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 599971 None None None Never

  None (edit)
Description Tobias Mueller 2010-01-02 08:40:17 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. Run gajim
2. Close a chat window (using Escape) quickly
3. see it either crash or looping to death
		

Comment
-----
Not 100% reproducible but opening and closing many windows quickly triggers this bug.
See also http://trac.gajim.org/ticket/5371 or https://bugs.launchpad.net/ubuntu/+source/python2.6/+bug/462982

Attached file: backtrace
cmdline: /usr/bin/python -OO gajim.py
component: python
executable: /usr/bin/python
kernel: 2.6.31.9-174.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Tobias Mueller 2010-01-02 08:40:20 EST
Created attachment 381278 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-01-04 14:45:06 EST
I see you also filed this upstream against pygtk here:
https://bugzilla.gnome.org/show_bug.cgi?id=599971
(I've added that to this bug's metadata)

Looking at the backtrace, it looks like the problem occurred in the program's single thread in __libc_malloc whilst claiming memory to try to print an assertion failure (using g_logv).  My guess is that an assertion failed somewhere inside gtk_accel_group_activate, but that for some reason the heap is corrupt.

Looking at http://git.gnome.org/browse/gtk+/tree/gtk/gtkaccelgroup.c I see these assertion checks in gtk_accel_group_activate:

  g_return_val_if_fail (GTK_IS_ACCEL_GROUP (accel_group), FALSE);
  g_return_val_if_fail (G_IS_OBJECT (acceleratable), FALSE);

Perhaps one of these is failing, which could indicate an application-level bug.

Try:
  yum debuginfo-install gtk2
to figure out which one of these is failing.

Having said that, I don't know why you're getting a SIGSEGV, rather than a SIGABRT; my guess is corruption of the heap somewhere, though that's a guess at this point.

Looking at https://bugzilla.gnome.org/show_bug.cgi?id=599971, the fact that you're seeing:
gajim.py:3582: GtkWarning: gtk_accel_group_activate: assertion
`GTK_IS_ACCEL_GROUP (accel_group)' failed
  gtk.main()
suggests that the SIGSEGV might occur with the second of the checks above, though that's a hunch.

Hope this is helpful; reassigning from "python" to "listen".
Comment 3 Dave Malcolm 2010-01-04 14:50:16 EST
> Looking at https://bugzilla.gnome.org/show_bug.cgi?id=599971, the fact that
> you're seeing:
> gajim.py:3582: GtkWarning: gtk_accel_group_activate: assertion
> `GTK_IS_ACCEL_GROUP (accel_group)' failed
>  gtk.main()
> suggests that the SIGSEGV might occur with the second of the checks above,
> though that's a hunch.
Sorry, I wasn't thinking clearly here.  If the first test fails, the function returns, with FALSE, and the 2nd check isn't being called.  Not sure what's happening here.
Comment 4 Dave Malcolm 2010-01-04 14:54:50 EST
*** Bug 551836 has been marked as a duplicate of this bug. ***
Comment 5 Dave Malcolm 2010-01-04 15:08:43 EST
Attachment 381280 [details] to bug 551836 (dup of this) has a better backtrace.

The check:
  g_return_val_if_fail (GTK_IS_ACCEL_GROUP (accel_group), FALSE);
is failing (frame #7), and it looks like a custom logging function has been registered: _log_func is called (frame #4), defined in gobjectmodule.c:2378
which calls into PyErr_WarnEx (frame #3).

I believe the call to PyCode_Addr2Line where the SIGSEGV happened was in an inlined copy of PyFrame_GetLineNumber within setup_context.
Comment 6 Haïkel Guémar 2010-01-04 15:28:46 EST
assigned to the wrong person (gajim again ...)
Comment 7 Dave Malcolm 2010-01-04 15:53:25 EST
*** Bug 552361 has been marked as a duplicate of this bug. ***
Comment 8 Tobias Mueller 2010-01-05 07:58:55 EST
Thank you Dave for investigating!
Please note that I pkill -SEGVed gajim manually because it hogged the CPU.

I just hit it again after I installed gtk+ debug symbols by just closing any random chat window with Escape. Gajim hogged the CPU and I attached a debugger. Note that gtk_accel_groups_activate did not want to return so I hit ^C to step through the code.


muelli@bigbox ~ $ gdb -p `pgrep gajim`
GNU gdb (GDB) Fedora (7.0-13.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 11829
Reading symbols from /usr/bin/python...Reading symbols from /usr/lib/debug/usr/bin/python2.6.debug...
warning: section .gnu.liblist not found in /usr/lib/debug/usr/bin/python2.6.debug

warning: section .gnu.conflict not found in /usr/lib/debug/usr/bin/python2.6.debug
done.
done.
Reading symbols from /usr/lib64/libpython2.6.so.1.0...Reading symbols from /usr/lib/debug/usr/lib64/libpython2.6.so.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libpython2.6.so.1.0
Reading symbols from /lib64/libpthread.so.0...Reading symbols from /usr/lib/debug/lib64/libpthread-2.11.so.debug...done.
[Thread debugging using libthread_db enabled]
done.
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /lib64/libdl.so.2...Reading symbols from /usr/lib/debug/lib64/libdl-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libutil.so.1...Reading symbols from /usr/lib/debug/lib64/libutil-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/libm.so.6...Reading symbols from /usr/lib/debug/lib64/libm-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /lib64/libc.so.6...Reading symbols from /usr/lib/debug/lib64/libc-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...Reading symbols from /usr/lib/debug/lib64/ld-2.11.so.debug...done.
done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/python2.6/lib-dynload/syslog.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/syslog.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/syslog.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/timemodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/timemodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/timemodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/selectmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/selectmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/selectmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/fcntlmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/fcntlmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/fcntlmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_struct.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_struct.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_struct.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/binascii.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/binascii.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/binascii.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/cStringIO.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/cStringIO.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/cStringIO.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/stropmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/stropmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/stropmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_functoolsmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_collectionsmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/operator.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/operator.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/operator.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_localemodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_localemodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_localemodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/mathmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/mathmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/mathmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_randommodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_randommodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_randommodule.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/glib/_glib.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/glib/_glib.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/glib/_glib.so
Reading symbols from /usr/lib64/libpyglib-2.0-python.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpyglib-2.0-python.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libpyglib-2.0-python.so.0
Reading symbols from /lib64/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/lib64/libgobject-2.0.so.0.2200.3.debug...done.
done.
Loaded symbols for /lib64/libgobject-2.0.so.0
Reading symbols from /lib64/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/lib64/libgthread-2.0.so.0.2200.3.debug...done.
done.
Loaded symbols for /lib64/libgthread-2.0.so.0
Reading symbols from /lib64/librt.so.1...Reading symbols from /usr/lib/debug/lib64/librt-2.11.so.debug...done.
done.
Loaded symbols for /lib64/librt.so.1
Reading symbols from /lib64/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/lib64/libglib-2.0.so.0.2200.3.debug...done.
done.
Loaded symbols for /lib64/libglib-2.0.so.0
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so
Reading symbols from /usr/lib64/libgtk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgtk-x11-2.0.so.0.1800.5.debug...done.
done.
Loaded symbols for /usr/lib64/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib64/libgdk-x11-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgdk-x11-2.0.so.0.1800.5.debug...done.
done.
Loaded symbols for /usr/lib64/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib64/libatk-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libatk-1.0.so.0.2809.1.debug...done.
done.
Loaded symbols for /usr/lib64/libatk-1.0.so.0
Reading symbols from /lib64/libgio-2.0.so.0...Reading symbols from /usr/lib/debug/lib64/libgio-2.0.so.0.2200.3.debug...done.
done.
Loaded symbols for /lib64/libgio-2.0.so.0
Reading symbols from /usr/lib64/libpangoft2-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpangoft2-1.0.so.0.2600.2.debug...done.
done.
Loaded symbols for /usr/lib64/libpangoft2-1.0.so.0
Reading symbols from /usr/lib64/libgdk_pixbuf-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgdk_pixbuf-2.0.so.0.1800.5.debug...done.
done.
Loaded symbols for /usr/lib64/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib64/libpangocairo-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpangocairo-1.0.so.0.2600.2.debug...done.
done.
Loaded symbols for /usr/lib64/libpangocairo-1.0.so.0
Reading symbols from /usr/lib64/libcairo.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libcairo.so.2.10800.8.debug...done.
done.
Loaded symbols for /usr/lib64/libcairo.so.2
Reading symbols from /usr/lib64/libpango-1.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpango-1.0.so.0.2600.2.debug...done.
done.
Loaded symbols for /usr/lib64/libpango-1.0.so.0
Reading symbols from /usr/lib64/libfreetype.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libfreetype.so.6.3.22.debug...done.
done.
Loaded symbols for /usr/lib64/libfreetype.so.6
Reading symbols from /usr/lib64/libfontconfig.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libfontconfig.so.1.4.4.debug...done.
done.
Loaded symbols for /usr/lib64/libfontconfig.so.1
Reading symbols from /lib64/libgmodule-2.0.so.0...Reading symbols from /usr/lib/debug/lib64/libgmodule-2.0.so.0.2200.3.debug...done.
done.
Loaded symbols for /lib64/libgmodule-2.0.so.0
Reading symbols from /usr/lib64/libX11.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libX11.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libX11.so.6
Reading symbols from /usr/lib64/libXfixes.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libXfixes.so.3.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXfixes.so.3
Reading symbols from /usr/lib64/libXext.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXext.so.6.4.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXext.so.6
Reading symbols from /usr/lib64/libXrender.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXrender.so.1
Reading symbols from /usr/lib64/libXinerama.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXinerama.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXinerama.so.1
Reading symbols from /usr/lib64/libXi.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXi.so.6.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXi.so.6
Reading symbols from /usr/lib64/libXrandr.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libXrandr.so.2.2.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXrandr.so.2
Reading symbols from /usr/lib64/libXcursor.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib64/libXcursor.so.1
Reading symbols from /usr/lib64/libXcomposite.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXcomposite.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXcomposite.so.1
Reading symbols from /usr/lib64/libXdamage.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXdamage.so.1.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXdamage.so.1
Reading symbols from /lib64/libresolv.so.2...Reading symbols from /usr/lib/debug/lib64/libresolv-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /lib64/libselinux.so.1...Reading symbols from /usr/lib/debug/lib64/libselinux.so.1.debug...done.
done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /usr/lib64/libpng12.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpng12.so.0.39.0.debug...done.
done.
Loaded symbols for /usr/lib64/libpng12.so.0
Reading symbols from /usr/lib64/libpixman-1.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libpixman-1.so.0.16.4.debug...done.
done.
Loaded symbols for /usr/lib64/libpixman-1.so.0
Reading symbols from /lib64/libz.so.1...Reading symbols from /usr/lib/debug/lib64/libz.so.1.2.3.debug...done.
done.
Loaded symbols for /lib64/libz.so.1
Reading symbols from /lib64/libexpat.so.1...Reading symbols from /usr/lib/debug/lib64/libexpat.so.1.5.2.debug...done.
done.
Loaded symbols for /lib64/libexpat.so.1
Reading symbols from /usr/lib64/libxcb.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libxcb.so.1.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libxcb.so.1
Reading symbols from /usr/lib64/libXau.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXau.so.6
Reading symbols from /usr/lib64/python2.6/site-packages/cairo/_cairo.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/cairo/_cairo.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/cairo/_cairo.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gio/_gio.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gio/_gio.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gio/_gio.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gio/unix.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gio/unix.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gio/unix.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/pango.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/pango.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/pango.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/atk.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/atk.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/atk.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/pangocairo.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/pangocairo.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/pangocairo.so
Reading symbols from /lib64/libnss_files.so.2...Reading symbols from /usr/lib/debug/lib64/libnss_files-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libnss_files.so.2
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so.debug...done.
done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
Reading symbols from /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so...
warning: the debug information found in "/usr/lib/debug//usr/lib64/gtk-2.0/modules/libpk-gtk-module.so.debug" does not match "/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so.debug" does not match "/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
Reading symbols from /usr/lib64/libdbus-glib-1.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libdbus-glib-1.so.2.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libdbus-glib-1.so.2
Reading symbols from /lib64/libdbus-1.so.3...Reading symbols from /usr/lib/debug/lib64/libdbus-1.so.3.4.0.debug...done.
done.
Loaded symbols for /lib64/libdbus-1.so.3
Reading symbols from /lib64/libcap-ng.so.0...Reading symbols from /usr/lib/debug/lib64/libcap-ng.so.0.0.0.debug...done.
done.
Loaded symbols for /lib64/libcap-ng.so.0
Reading symbols from /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so.debug...done.
done.
Loaded symbols for /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
Reading symbols from /usr/lib64/libcanberra-gtk.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libcanberra-gtk.so.0.1.5.debug...done.
done.
Loaded symbols for /usr/lib64/libcanberra-gtk.so.0
Reading symbols from /usr/lib64/libcanberra.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libcanberra.so.0.2.1.debug...done.
done.
Loaded symbols for /usr/lib64/libcanberra.so.0
Reading symbols from /usr/lib64/libvorbisfile.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libvorbisfile.so.3.3.2.debug...done.
done.
Loaded symbols for /usr/lib64/libvorbisfile.so.3
Reading symbols from /usr/lib64/libvorbis.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libvorbis.so.0.4.3.debug...done.
done.
Loaded symbols for /usr/lib64/libvorbis.so.0
Reading symbols from /usr/lib64/libogg.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libogg.so.0.6.0.debug...done.
done.
Loaded symbols for /usr/lib64/libogg.so.0
Reading symbols from /usr/lib64/libtdb.so.1...Missing separate debuginfo for /usr/lib64/libtdb.so.1
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/34/fafaa8007ee23182c82ffdb451a09372dafb38.debug
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libtdb.so.1
Reading symbols from /usr/lib64/libltdl.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libltdl.so.7
Reading symbols from /usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so...
warning: the debug information found in "/usr/lib/debug//usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so.debug" does not match "/usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so.debug" does not match "/usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/_xmlplus/parsers/pyexpat.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_socketmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_socketmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_socketmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_ssl.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_ssl.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_ssl.so
Reading symbols from /usr/lib64/libssl.so.10...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libssl.so.1.0.0.debug" does not match "/usr/lib64/libssl.so.10" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libssl.so.1.0.0.debug" does not match "/usr/lib64/libssl.so.10" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libssl.so.10
Reading symbols from /usr/lib64/libcrypto.so.10...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libcrypto.so.1.0.0.debug" does not match "/usr/lib64/libcrypto.so.10" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libcrypto.so.1.0.0.debug" does not match "/usr/lib64/libcrypto.so.10" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libcrypto.so.10
Reading symbols from /lib64/libgssapi_krb5.so.2...
warning: the debug information found in "/usr/lib/debug//lib64/libgssapi_krb5.so.2.2.debug" does not match "/lib64/libgssapi_krb5.so.2" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/lib64/libgssapi_krb5.so.2.2.debug" does not match "/lib64/libgssapi_krb5.so.2" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /lib64/libgssapi_krb5.so.2
Reading symbols from /lib64/libkrb5.so.3...
warning: the debug information found in "/usr/lib/debug//lib64/libkrb5.so.3.3.debug" does not match "/lib64/libkrb5.so.3" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/lib64/libkrb5.so.3.3.debug" does not match "/lib64/libkrb5.so.3" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /lib64/libkrb5.so.3
Reading symbols from /lib64/libcom_err.so.2...Reading symbols from /usr/lib/debug/lib64/libcom_err.so.2.1.debug...done.
done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /lib64/libk5crypto.so.3...
warning: the debug information found in "/usr/lib/debug//lib64/libk5crypto.so.3.1.debug" does not match "/lib64/libk5crypto.so.3" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/lib64/libk5crypto.so.3.1.debug" does not match "/lib64/libk5crypto.so.3" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /lib64/libk5crypto.so.3
Reading symbols from /lib64/libkrb5support.so.0...
warning: the debug information found in "/usr/lib/debug//lib64/libkrb5support.so.0.1.debug" does not match "/lib64/libkrb5support.so.0" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/lib64/libkrb5support.so.0.1.debug" does not match "/lib64/libkrb5support.so.0" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /lib64/libkrb5support.so.0
Reading symbols from /lib64/libkeyutils.so.1...Reading symbols from /usr/lib/debug/lib64/libkeyutils-1.2.so.debug...done.
done.
Loaded symbols for /lib64/libkeyutils.so.1
Reading symbols from /usr/lib64/python2.6/lib-dynload/_hashlib.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_hashlib.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_hashlib.so
Reading symbols from /usr/lib64/python2.6/site-packages/kerberos.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/kerberos.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/kerberos.so
Reading symbols from /usr/lib64/python2.6/site-packages/OpenSSL/rand.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/OpenSSL/rand.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
Reading symbols from /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/OpenSSL/crypto.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
Reading symbols from /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/OpenSSL/SSL.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/datetime.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/datetime.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/datetime.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/zlibmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/zlibmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/zlibmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_sqlite3.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_sqlite3.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_sqlite3.so
Reading symbols from /usr/lib64/libsqlite3.so.0...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libsqlite3.so.0.8.6.debug" does not match "/usr/lib64/libsqlite3.so.0" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libsqlite3.so.0.8.6.debug" does not match "/usr/lib64/libsqlite3.so.0" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsqlite3.so.0
Reading symbols from /usr/lib64/python2.6/site-packages/_dbus_bindings.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/_dbus_bindings.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/_dbus_bindings.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_weakref.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_weakref.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_weakref.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/sexy.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/sexy.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/sexy.so
Reading symbols from /usr/lib64/libsexy.so.2...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libsexy.so.2.0.4.debug" does not match "/usr/lib64/libsexy.so.2" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libsexy.so.2.0.4.debug" does not match "/usr/lib64/libsexy.so.2" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsexy.so.2
Reading symbols from /usr/lib64/libxml2.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libxml2.so.2.7.6.debug...done.
done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /usr/lib64/python2.6/site-packages/_dbus_glib_bindings.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/_dbus_glib_bindings.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/_dbus_glib_bindings.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/dlmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/dlmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/dlmodule.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/glade.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gtk/glade.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/glade.so
Reading symbols from /usr/lib64/libglade-2.0.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libglade-2.0.so.0.0.7.debug...done.
done.
Loaded symbols for /usr/lib64/libglade-2.0.so.0
Reading symbols from /usr/lib64/python2.6/lib-dynload/_bisectmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_bisectmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_bisectmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/itertoolsmodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_heapq.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/_heapq.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_heapq.so
Reading symbols from /usr/lib64/python2.6/site-packages/gajim/gtkspell.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gajim/gtkspell.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gajim/gtkspell.so
Reading symbols from /usr/lib64/libgtkspell.so.0...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libgtkspell.so.0.0.0.debug" does not match "/usr/lib64/libgtkspell.so.0" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libgtkspell.so.0.0.0.debug" does not match "/usr/lib64/libgtkspell.so.0" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libgtkspell.so.0
Reading symbols from /usr/lib64/libenchant.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libenchant.so.1.5.0.debug...done.
done.
Loaded symbols for /usr/lib64/libenchant.so.1
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/pynotify/_pynotify.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/pynotify/_pynotify.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/pynotify/_pynotify.so
Reading symbols from /usr/lib64/libnotify.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libnotify.so.1.1.3.debug...done.
done.
Loaded symbols for /usr/lib64/libnotify.so.1
Reading symbols from /usr/lib64/python2.6/site-packages/gajim/idle.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gajim/idle.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gajim/idle.so
Reading symbols from /usr/lib64/libXss.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libXss.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libXss.so.1
Reading symbols from /usr/lib64/python2.6/site-packages/Crypto/Cipher/AES.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/Crypto/Cipher/AES.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/Crypto/Cipher/AES.so
Reading symbols from /usr/lib64/python2.6/site-packages/Crypto/Hash/SHA256.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/Crypto/Hash/SHA256.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/Crypto/Hash/SHA256.so
Reading symbols from /usr/lib64/python2.6/site-packages/Crypto/PublicKey/_fastmath.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/Crypto/PublicKey/_fastmath.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/Crypto/PublicKey/_fastmath.so
Reading symbols from /usr/lib64/libgmp.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libgmp.so.3.5.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgmp.so.3
Reading symbols from /usr/lib64/python2.6/lib-dynload/termios.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/termios.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/termios.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gnome/_gnome.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gnome/_gnome.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gnome/_gnome.so
Reading symbols from /usr/lib64/libgnome-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnome-2.so.0.2800.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgnome-2.so.0
Reading symbols from /lib64/libpopt.so.0...Reading symbols from /usr/lib/debug/lib64/libpopt.so.0.0.0.debug...done.
done.
Loaded symbols for /lib64/libpopt.so.0
Reading symbols from /usr/lib64/libbonobo-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libbonobo-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libbonobo-2.so.0
Reading symbols from /usr/lib64/libbonobo-activation.so.4...Reading symbols from /usr/lib/debug/usr/lib64/libbonobo-activation.so.4.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libbonobo-activation.so.4
Reading symbols from /usr/lib64/libORBit-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libORBit-2.so.0.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libORBit-2.so.0
Reading symbols from /usr/lib64/libgnomevfs-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomevfs-2.so.0.2400.2.debug...done.
done.
Loaded symbols for /usr/lib64/libgnomevfs-2.so.0
Reading symbols from /usr/lib64/libgconf-2.so.4...
warning: the debug information found in "/usr/lib/debug//usr/lib64/libgconf-2.so.4.1.5.debug" does not match "/usr/lib64/libgconf-2.so.4" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/libgconf-2.so.4.1.5.debug" does not match "/usr/lib64/libgconf-2.so.4" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libgconf-2.so.4
Reading symbols from /usr/lib64/libORBitCosNaming-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libORBitCosNaming-2.so.0.1.0.debug...done.
done.
Loaded symbols for /usr/lib64/libORBitCosNaming-2.so.0
Reading symbols from /usr/lib64/libavahi-glib.so.1...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-glib.so.1.0.1.debug...done.
done.
Loaded symbols for /usr/lib64/libavahi-glib.so.1
Reading symbols from /usr/lib64/libavahi-common.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-common.so.3.5.1.debug...done.
done.
Loaded symbols for /usr/lib64/libavahi-common.so.3
Reading symbols from /usr/lib64/libavahi-client.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libavahi-client.so.3.2.5.debug...done.
done.
Loaded symbols for /usr/lib64/libavahi-client.so.3
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gnome/ui.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gnome/ui.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gnome/ui.so
Reading symbols from /usr/lib64/libgnomeui-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomeui-2.so.0.2400.1.debug...done.
done.
Loaded symbols for /usr/lib64/libgnomeui-2.so.0
Reading symbols from /usr/lib64/libSM.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libSM.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libSM.so.6
Reading symbols from /usr/lib64/libICE.so.6...Reading symbols from /usr/lib/debug/usr/lib64/libICE.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib64/libICE.so.6
Reading symbols from /usr/lib64/libbonoboui-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libbonoboui-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libbonoboui-2.so.0
Reading symbols from /usr/lib64/libgnomecanvas-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnomecanvas-2.so.0.2600.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgnomecanvas-2.so.0
Reading symbols from /usr/lib64/libart_lgpl_2.so.2...Reading symbols from /usr/lib/debug/usr/lib64/libart_lgpl_2.so.2.3.20.debug...done.
done.
Loaded symbols for /usr/lib64/libart_lgpl_2.so.2
Reading symbols from /usr/lib64/libgnome-keyring.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgnome-keyring.so.0.1.1.debug...done.
done.
Loaded symbols for /usr/lib64/libgnome-keyring.so.0
Reading symbols from /lib64/libuuid.so.1...Reading symbols from /usr/lib/debug/lib64/libuuid.so.1.3.0.debug...done.
done.
Loaded symbols for /lib64/libuuid.so.1
Reading symbols from /usr/lib64/libgailutil.so.18...Reading symbols from /usr/lib/debug/usr/lib64/libgailutil.so.18.0.1.debug...done.
done.
Loaded symbols for /usr/lib64/libgailutil.so.18
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gnomevfs/_gnomevfs.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gnomevfs/_gnomevfs.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gnomevfs/_gnomevfs.so
Reading symbols from /usr/lib64/python2.6/site-packages/ORBit.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/ORBit.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/ORBit.so
Reading symbols from /usr/lib64/libORBit-imodule-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libORBit-imodule-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libORBit-imodule-2.so.0
Reading symbols from /usr/lib64/libIDL-2.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libIDL-2.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libIDL-2.so.0
Reading symbols from /usr/lib64/orbit-2.0/Bonobo_module.so...Reading symbols from /usr/lib/debug/usr/lib64/orbit-2.0/Bonobo_module.so.debug...
warning: "/usr/lib/debug/usr/lib64/orbit-2.0/Bonobo_module.so.debug": separate debug info file has no debug info
(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/orbit-2.0/Bonobo_module.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/activation.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/activation.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/activation.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/_bonobo.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/_bonobo.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/_bonobo.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/ui.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/ui.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/bonobo/ui.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gnomecanvas.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gnomecanvas.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gnomecanvas.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gconf.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gconf.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gconf.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so...
warning: the debug information found in "/usr/lib/debug//usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so.debug" does not match "/usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so" (CRC mismatch).


warning: the debug information found in "/usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so.debug" does not match "/usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so" (CRC mismatch).

(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/gnomekeyring.so
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so.debug...done.
done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
Reading symbols from /usr/lib64/python2.6/site-packages/gtk-2.0/egg/trayicon.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/site-packages/gtk-2.0/egg/trayicon.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gtk-2.0/egg/trayicon.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/unicodedata.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/unicodedata.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/unicodedata.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/arraymodule.so...Reading symbols from /usr/lib/debug/usr/lib64/python2.6/lib-dynload/arraymodule.so.debug...done.
done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/arraymodule.so
Reading symbols from /lib64/libnss_mdns4_minimal.so.2...Reading symbols from /usr/lib/debug/lib64/libnss_mdns4_minimal.so.2.debug...done.
done.
Loaded symbols for /lib64/libnss_mdns4_minimal.so.2
Reading symbols from /lib64/libnss_dns.so.2...Reading symbols from /usr/lib/debug/lib64/libnss_dns-2.11.so.debug...done.
done.
Loaded symbols for /lib64/libnss_dns.so.2
Reading symbols from /usr/lib64/gio/modules/libgioremote-volume-monitor.so...Reading symbols from /usr/lib/debug/usr/lib64/gio/modules/libgioremote-volume-monitor.so.debug...done.
done.
Loaded symbols for /usr/lib64/gio/modules/libgioremote-volume-monitor.so
Reading symbols from /usr/lib64/libgvfscommon.so.0...Reading symbols from /usr/lib/debug/usr/lib64/libgvfscommon.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libgvfscommon.so.0
Reading symbols from /usr/lib64/gio/modules/libgvfsdbus.so...Reading symbols from /usr/lib/debug/usr/lib64/gio/modules/libgvfsdbus.so.debug...done.
done.
Loaded symbols for /usr/lib64/gio/modules/libgvfsdbus.so
Reading symbols from /lib64/libudev.so.0...Reading symbols from /usr/lib/debug/lib64/libudev.so.0.4.2.debug...done.
done.
Loaded symbols for /lib64/libudev.so.0
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so.debug...done.
done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
Reading symbols from /usr/lib64/librsvg-2.so.2...Reading symbols from /usr/lib/debug/usr/lib64/librsvg-2.so.2.26.0.debug...done.
done.
Loaded symbols for /usr/lib64/librsvg-2.so.2
Reading symbols from /usr/lib64/libgsf-1.so.114...Reading symbols from /usr/lib/debug/usr/lib64/libgsf-1.so.114.0.15.debug...done.
done.
Loaded symbols for /usr/lib64/libgsf-1.so.114
Reading symbols from /usr/lib64/libcroco-0.6.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libcroco-0.6.so.3.0.1.debug...done.
done.
Loaded symbols for /usr/lib64/libcroco-0.6.so.3
Reading symbols from /lib64/libbz2.so.1...Reading symbols from /usr/lib/debug/lib64/libbz2.so.1.0.4.debug...done.
done.
Loaded symbols for /lib64/libbz2.so.1
Reading symbols from /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so...Reading symbols from /usr/lib/debug/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so.debug...done.
done.
Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
Reading symbols from /usr/lib64/libjpeg.so.62...Reading symbols from /usr/lib/debug/usr/lib64/libjpeg.so.62.0.0.debug...done.
done.
Loaded symbols for /usr/lib64/libjpeg.so.62

warning: section .gnu.liblist not found in /usr/lib/debug/usr/bin/python2.6.debug

warning: section .gnu.conflict not found in /usr/lib/debug/usr/bin/python2.6.debug
mempcpy () at ../sysdeps/x86_64/memcpy.S:60
60		jae	L(1after)
Missing separate debuginfos, use: debuginfo-install GConf2-2.28.0-3.fc12.x86_64 PackageKit-gtk-module-0.5.5-1.fc12.x86_64 PyXML-0.8.4-17.fc12.x86_64 gnome-python2-gnomekeyring-2.28.0-2.fc12.x86_64 gtkspell-2.0.16-1.fc12.x86_64 krb5-libs-1.7-10.fc12.x86_64 libsexy-0.1.11-13.fc12.x86_64 libtool-ltdl-2.2.6-17.fc12.x86_64 openssl-1.0.0-0.13.beta4.fc12.x86_64 sqlite-3.6.20-1.fc12.x86_64
(gdb) bt
#0  mempcpy () at ../sysdeps/x86_64/memcpy.S:60
#1  0x0000003762c72c6e in _IO_default_xsputn (f=0x7fff5ef22d30, 
    data=<value optimized out>, n=24) at genops.c:468
#2  0x0000003762c47ccc in _IO_vfprintf_internal (s=<value optimized out>, 
    format=<value optimized out>, ap=<value optimized out>) at vfprintf.c:1593
#3  0x0000003762cf693c in __vasprintf_chk (result_ptr=0x7fff5ef22e88, flags=1, 
    format=0x3b3b6927ad "%s: assertion `%s' failed", args=0x7fff5ef22f00)
    at vasprintf_chk.c:68
#4  0x0000003b3b66decb in vasprintf (__ap=0x18, __fmt=
    0x18 <Address 0x18 out of bounds>, __ptr=0x7fff5ef22e88)
    at /usr/include/bits/stdio2.h:199
#5  IA__g_vasprintf (__ap=0x18, __fmt=0x18 <Address 0x18 out of bounds>, __ptr=
    0x7fff5ef22e88) at gprintf.c:315
#6  0x0000003b3b65a5c0 in IA__g_strdup_vprintf (format=0x0, args=0x18)
    at gstrfuncs.c:244
#7  0x0000003b3b643090 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fff5ef23370) at gmessages.c:516
#8  0x0000003b3b6434c3 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
#9  0x00000039ee46cb9b in IA__gtk_accel_group_activate (accel_group=0x4887d90, 
    accel_quark=2017, acceleratable=0x45155d0 [GtkWindow], accel_key=65307, 
---Type <return> to continue, or q <return> to quit---
    accel_mods=0) at gtkaccelgroup.c:856
#10 0x00000039ee46cd3d in IA__gtk_accel_groups_activate (object=
    0x45155d0 [GtkWindow], accel_key=65307, accel_mods=0)
    at gtkaccelgroup.c:897
#11 0x00000039ee68ebd2 in IA__gtk_window_activate_key (window=
    0x45155d0 [GtkWindow], event=<value optimized out>) at gtkwindow.c:8269
#12 0x00000039ee6902c7 in gtk_window_key_press_event (widget=
    0x45155d0 [GtkWindow], event=0x4514590) at gtkwindow.c:5170
#13 0x00000039ee5539c3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x279f6f0, 
    return_value=0x7fff5ef236e0, n_param_values=<value optimized out>, 
    param_values=0x4424030, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#14 0x0000003b3ba0ba8e in IA__g_closure_invoke (closure=0x279f6f0, 
    return_value=0x7fff5ef236e0, n_param_values=2, param_values=0x4424030, 
    invocation_hint=0x7fff5ef236a0) at gclosure.c:767
#15 0x0000003b3ba20b8d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
#16 0x0000003b3ba220ec in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff5ef23890) at gsignal.c:2990
#17 0x0000003b3ba227a3 in IA__g_signal_emit (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
#18 0x00000039ee675bef in gtk_widget_event_internal (widget=
    0x45155d0 [GtkWindow], event=0x4514590) at gtkwidget.c:4775
#19 0x00000039ee54a81b in IA__gtk_propagate_event (widget=
    0x45155d0 [GtkWindow], event=0x4514590) at gtkmain.c:2391
#20 0x00000039ee54b863 in IA__gtk_main_do_event (event=0x4514590)
    at gtkmain.c:1622
#21 0x00000039ef45fb3c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2372
#22 0x0000003b3b63922e in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1960
#23 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#24 0x0000003b3b63cc18 in g_main_context_iterate (context=0x27844a0, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
#25 0x0000003b3b63d065 in IA__g_main_loop_run (loop=0x35abc40) at gmain.c:2799
#26 0x00000039ee54bd97 in IA__gtk_main () at gtkmain.c:1218
#27 0x00007fc6a6f9f6e6 in _wrap_gtk_main (self=<value optimized out>)
    at ./gtk.override:1241
#28 0x000000376fcdc652 in call_function (oparg=<value optimized out>, 
    pp_stack=<value optimized out>) at Python/ceval.c:3690
---Type <return> to continue, or q <return> to quit---
#29 PyEval_EvalFrameEx (oparg=<value optimized out>, 
    pp_stack=<value optimized out>) at Python/ceval.c:2389
#30 0x000000376fcde4e5 in PyEval_EvalCodeEx (co=0x28fd558, 
    globals=<value optimized out>, locals=<value optimized out>, args=0x0, 
    argcount=<value optimized out>, kws=<value optimized out>, kwcount=0, defs=
    0x0, defcount=0, closure=0x0) at Python/ceval.c:2968
#31 0x000000376fcde5f2 in PyEval_EvalCode (co=0x472a660, globals=0x39ee703654, 
    locals=0x18) at Python/ceval.c:522
#32 0x000000376fcf965c in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0x2289630, locals=0x2289630, 
    flags=<value optimized out>, arena=<value optimized out>)
    at Python/pythonrun.c:1335
#33 0x000000376fcf9730 in PyRun_FileExFlags (fp=0x23213f0, filename=
    0x7fff5ef263be "gajim.py", start=<value optimized out>, 
    globals=<value optimized out>, locals=0x2289630, closeit=1, flags=
    0x7fff5ef24060) at Python/pythonrun.c:1321
#34 0x000000376fcfab0c in PyRun_SimpleFileExFlags (fp=<value optimized out>, 
    filename=0x7fff5ef263be "gajim.py", closeit=1, flags=0x7fff5ef24060)
    at Python/pythonrun.c:931
#35 0x000000376fd07389 in Py_Main (argc=-1354289008, 
    argv=<value optimized out>) at Modules/main.c:599
#36 0x0000003762c1eb1d in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=<value optimized out>)
    at libc-start.c:220
#37 0x0000000000400649 in _start ()
Current language:  auto
The current source language is "auto; currently asm".
(gdb) next
63		testb	$1, %dl
(gdb) 
64		jz	L(1a)
(gdb) 
75		testb	$2, %dl
(gdb) step
76		jz	L(1b)
(gdb) 
87		testb	$4, %dl
(gdb) 
88		jz	L(1c)
(gdb) fin
Run till exit from #0  mempcpy () at ../sysdeps/x86_64/memcpy.S:88
0x0000003762c72c6e in _IO_default_xsputn (f=0x7fff5ef22d30, 
    data=<value optimized out>, n=24) at genops.c:468
468		      f->_IO_write_ptr = __mempcpy (f->_IO_write_ptr, s, count);
Current language:  auto
The current source language is "auto; currently c".
(gdb) 
Run till exit from #0  0x0000003762c72c6e in _IO_default_xsputn (f=
    0x7fff5ef22d30, data=<value optimized out>, n=24) at genops.c:468
0x0000003762c47ccc in _IO_vfprintf_internal (s=<value optimized out>, 
    format=<value optimized out>, ap=<value optimized out>) at vfprintf.c:1593
1593		  process_string_arg (((struct printf_spec *) NULL));
Value returned is $1 = 24
(gdb) 
Run till exit from #0  0x0000003762c47ccc in _IO_vfprintf_internal (
    s=<value optimized out>, format=<value optimized out>, 
    ap=<value optimized out>) at vfprintf.c:1593
__vasprintf_chk (result_ptr=0x7fff5ef22e88, flags=1, format=
    0x3b3b6927ad "%s: assertion `%s' failed", args=0x7fff5ef22f00)
    at vasprintf_chk.c:69
69	  if (ret < 0)
Value returned is $2 = 77
(gdb) 
Run till exit from #0  __vasprintf_chk (result_ptr=0x7fff5ef22e88, flags=1, 
    format=0x3b3b6927ad "%s: assertion `%s' failed", args=0x7fff5ef22f00)
    at vasprintf_chk.c:69
0x0000003b3b66decb in vasprintf (__ap=0x71, __fmt=
    0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed", __ptr=0x7fff5ef22e88) at /usr/include/bits/stdio2.h:199
199	  return __vasprintf_chk (__ptr, __USE_FORTIFY_LEVEL - 1, __fmt, __ap);
Value returned is $3 = 77
(gdb) 
Run till exit from #0  0x0000003b3b66decb in vasprintf (__ap=0x71, __fmt=
    0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed", __ptr=0x7fff5ef22e88) at /usr/include/bits/stdio2.h:199
0x0000003b3b66decd in IA__g_vasprintf (string=0x7fff5ef22e88, format=
    0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed", args=0x71) at gprintf.c:316
316	  if (len < 0)
(gdb) 
Run till exit from #0  0x0000003b3b66decd in IA__g_vasprintf (string=
    0x7fff5ef22e88, format=
    0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed", args=0x71) at gprintf.c:316
0x0000003b3b65a5c0 in IA__g_strdup_vprintf (format=
    0x4d <Address 0x4d out of bounds>, args=0x472a660) at gstrfuncs.c:244
244	  g_vasprintf (&string, format, args);
Value returned is $4 = 77
(gdb) 
Run till exit from #0  0x0000003b3b65a5c0 in IA__g_strdup_vprintf (format=
    0x4d <Address 0x4d out of bounds>, args=0x472a660) at gstrfuncs.c:244
0x0000003b3b643090 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fff5ef23370) at gmessages.c:516
516	              msg = g_strdup_vprintf (format, args2);
Value returned is $5 = 
    (gchar *) 0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed"
(gdb) 
Run till exit from #0  0x0000003b3b643090 in IA__g_logv (
    log_domain=<value optimized out>, log_level=<value optimized out>, 
    format=<value optimized out>, args1=0x7fff5ef23370) at gmessages.c:516
0x0000003b3b6434c3 in IA__g_log (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>)
    at gmessages.c:569
569	  g_logv (log_domain, log_level, format, args);
(gdb) 
Run till exit from #0  0x0000003b3b6434c3 in IA__g_log (
    log_domain=<value optimized out>, log_level=<value optimized out>, 
    format=<value optimized out>) at gmessages.c:569
0x00000039ee46cb9b in IA__gtk_accel_group_activate (accel_group=0x4887d90, 
    accel_quark=2017, acceleratable=0x45155d0 [GtkWindow], accel_key=65307, 
    accel_mods=0) at gtkaccelgroup.c:856
856	  g_return_val_if_fail (GTK_IS_ACCEL_GROUP (accel_group), FALSE);
(gdb) 
Run till exit from #0  0x00000039ee46cb9b in IA__gtk_accel_group_activate (
    accel_group=0x4887d90, accel_quark=2017, acceleratable=
    0x45155d0 [GtkWindow], accel_key=65307, accel_mods=0)
    at gtkaccelgroup.c:856
0x00000039ee46cd3d in IA__gtk_accel_groups_activate (object=
    0x45155d0 [GtkWindow], accel_key=65307, accel_mods=0)
    at gtkaccelgroup.c:897
897		if (gtk_accel_group_activate (slist->data, accel_quark, object, accel_key, accel_mods))
Value returned is $6 = 0
(gdb) 
Run till exit from #0  0x00000039ee46cd3d in IA__gtk_accel_groups_activate (
    object=0x45155d0 [GtkWindow], accel_key=65307, accel_mods=0)
    at gtkaccelgroup.c:897

^C
Program received signal SIGINT, Interrupt.
0x000000376fc8a258 in string_hash (a=0x47d4b30) at Objects/stringobject.c:1206
1206	string_hash(PyStringObject *a)
(gdb) next
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a25b	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a271	1217		while (--len >= 0)
(gdb) 
0x000000376fc8a274	1219		x ^= Py_SIZE(a);
(gdb) 
0x000000376fc8a283	1220		if (x == -1)
(gdb) 
0x000000376fc8a287 in string_hash (a=0x47d4b30) at Objects/stringobject.c:1222
1222		a->ob_shash = x;
(gdb) 
0x000000376fc7e726 in PyDict_GetItem (op=0x2289630, key=0xf1921e7465b3b18a)
    at Objects/dictobject.c:636
636			hash = PyObject_Hash(key);
(gdb) 
0x000000376fc7e730	637			if (hash == -1) {
(gdb) 
0x000000376fc7e73a	646		tstate = _PyThreadState_Current;
(gdb) 
0x000000376fc7e746	647		if (tstate != NULL && tstate->curexc_type != NULL) {
(gdb) 
0x000000376fc7e752	658			ep = (mp->ma_lookup)(mp, key, hash);
(gdb) 
0x000000376fc7e75b	659			if (ep == NULL) {
(gdb) 
0x000000376fc7e75f	664		return ep->me_value;
(gdb) 
0x000000376fc7ef2e in PyDict_GetItemString (v=0x2289630, 
    key=<value optimized out>) at Objects/dictobject.c:2287
2287		rv = PyDict_GetItem(v, kv);
(gdb) 
0x000000376fc7ef50	2290	}
(gdb) 
0x000000376fcbbb41 in setup_context (registry=<value optimized out>, 
    module=<value optimized out>, lineno=<value optimized out>, 
    filename=<value optimized out>, stack_level=<value optimized out>)
    at Python/_warnings.c:483
483	    *registry = PyDict_GetItemString(globals, "__warningregistry__");
(gdb) 
0x000000376fcbbb47	483	    *registry = PyDict_GetItemString(globals, "__warningregistry__");
(gdb) 
0x000000376fcbbb4d	484	    if (*registry == NULL) {
(gdb) 
0x000000376fcbbb51	496	        Py_INCREF(*registry);
(gdb) 
0x000000376fcbbb60	499	    *module = PyDict_GetItemString(globals, "__name__");
(gdb) 
0x000000376fcbbb66	499	    *module = PyDict_GetItemString(globals, "__name__");
(gdb) 
0x000000376fcbbb6c	500	    if (*module == NULL) {
(gdb) 
0x000000376fcbbb70	506	        Py_INCREF(*module);
(gdb) 
0x000000376fcbbb7f	509	    *filename = PyDict_GetItemString(globals, "__file__");
(gdb) 
0x000000376fcbbb85	509	    *filename = PyDict_GetItemString(globals, "__file__");
(gdb) 
0x000000376fcbbb8b	510	    if (*filename != NULL) {
(gdb) 
0x000000376fcbbb93	511		    Py_ssize_t len = PyString_Size(*filename);
(gdb) 
0x000000376fcbbba0	512	        const char *file_str = PyString_AsString(*filename);
(gdb) 
0x000000376fcbbbb7	513		    if (file_str == NULL || (len < 0 && PyErr_Occurred()))
(gdb) 
0x000000376fcbbbc8	517	        if (len >= 4 &&
(gdb) 
0x000000376fcbbbcc in setup_context (registry=<value optimized out>, 
    module=<value optimized out>, lineno=<value optimized out>, 
    filename=<value optimized out>, stack_level=<value optimized out>)
    at Python/_warnings.c:529
529	            Py_INCREF(*filename);
(gdb) 
0x000000376fcbbbeb in do_warn (message=0x49c3198, category=0x26fbaa0, 
    stack_level=<value optimized out>) at Python/_warnings.c:612
612	    res = warn_explicit(category, message, filename, lineno, module, registry,
(gdb) 
0x000000376fcbbbfe	614	    Py_DECREF(filename);
(gdb) 
0x000000376fcbbc13	615	    Py_DECREF(registry);
(gdb) 
0x000000376fcbbc38	616	    Py_DECREF(module);
(gdb) 
0x000000376fcbc02e in PyErr_WarnEx (category=0x376ff83250, 
    text=<value optimized out>, stack_level=1) at Python/_warnings.c:735
735	    res = do_warn(message, category, stack_level);
(gdb) 
0x000000376fcbc068	739	    Py_DECREF(res);
(gdb) 
0x000000376fcbc03d	736	    Py_DECREF(message);
(gdb) 
0x000000376fcbc042	737	    if (res == NULL)
(gdb) 
0x000000376fcbbffe	739	    Py_DECREF(res);
(gdb) 
0x00007fc6a72a3c74 in _log_func (log_domain=<value optimized out>, log_level=
    G_LOG_LEVEL_CRITICAL, message=
    0x472a660 "gtk_accel_group_activate: assertion `GTK_IS_ACCEL_GROUP (accel_group)' failed", user_data=0x26fbaa0) at gobjectmodule.c:2378
2378		PyErr_Warn(warning, (char *) message);
(gdb) 
0x00007fc6a72a3c76	2379		pyglib_gil_state_release(state);
(gdb) 
0x00007fc6a72a2e98 in PyEval_SaveThread@plt ()
   from /usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so
(gdb) 
Single stepping until exit from function pyglib_gil_state_release@plt, 
which has no line number information.
0x00007fc6a74c00c0 in ?? () at pyglib.c:193
   from /usr/lib64/libpyglib-2.0-python.so.0
193	    PyGILState_Release(flag);
(gdb) 
0x00007fc6a74c00cc in pyglib_gil_state_release (state=PyGILState_LOCKED)
    at pyglib.c:116
116	    g_return_if_fail (_PyGLib_API != NULL);
(gdb) 
0x0000003b3b6430a9 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fff5ef23370) at gmessages.c:519
519		      log_func (log_domain, test_level, msg, data);
(gdb) 
0x0000003b3b6430c6	521	              if ((test_level & G_LOG_FLAG_FATAL)
(gdb) 
0x0000003b3b6430d5	528		      g_free (msg);
(gdb) 
0x0000003b3b6430dd	531		  if ((test_level & G_LOG_FLAG_FATAL) && !masquerade_fatal)
(gdb) 
0x0000003b3b6432f0	446		  guint depth = GPOINTER_TO_UINT (g_private_get (g_log_depth));
(gdb) 
0x0000003b3b6430f8 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fff5ef23370) at gmessages.c:555
555		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
(gdb) 
0x0000003b3b643110 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, args1=
    0x7fff5ef23370) at gmessages.c:439
439	  for (i = g_bit_nth_msf (log_level, -1); i >= 0; i = g_bit_nth_msf (log_level, i))
(gdb)
Comment 9 Tobias Mueller 2010-01-05 12:06:22 EST
Note that it cashes with G_SLICE=debug-blocks:

muelli@bigbox /tmp $ export G_SLICE=debug-blocks 
muelli@bigbox /tmp $ gajim&
[1] 27476
muelli@bigbox /tmp $ gdb -p `pgrep gajim`
GNU gdb (GDB) Fedora (7.0.1-19.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
[... Loaded symbols ...]
warning: section .gnu.liblist not found in /usr/lib/debug/usr/bin/python2.6.debug

warning: section .gnu.conflict not found in /usr/lib/debug/usr/bin/python2.6.debug
0x000000376380e100 in __read_nocancel ()
    at ../sysdeps/unix/syscall-template.S:82
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
(gdb) c
Continuing.
Detaching after fork from child process 27523.
Detaching after fork from child process 27524.
Detaching after fork from child process 27525.
Detaching after fork from child process 27526.
Detaching after fork from child process 27527.
Detaching after fork from child process 27532.
Detaching after fork from child process 27533.
Detaching after fork from child process 27534.
/usr/share/gajim/src/chat_control.py:1084: DeprecationWarning: Use the new widget gtk.Tooltip
  self.lock_tooltip = gtk.Tooltips()
/usr/share/gajim/src/chat_control.py:1182: DeprecationWarning: Use the new widget gtk.Tooltip
  self.status_tooltip = gtk.Tooltips()
/usr/share/gajim/src/chat_control.py:1455: DeprecationWarning: Use the new widget gtk.Tooltip
  banner_name_tooltip = gtk.Tooltips()
/usr/share/gajim/src/chat_control.py:1532: DeprecationWarning: Use the new widget gtk.Tooltip
  status)
/usr/share/gajim/src/chat_control.py:1543: DeprecationWarning: Use the new widget gtk.Tooltip
  banner_name_tooltip.set_tip(banner_name_label, label_tooltip)
Detaching after fork from child process 27535.
Detaching after fork from child process 27536.

Program received signal SIGSEGV, Segmentation fault.
IA__gtk_accel_groups_activate (object=0x31c7a50 [GtkWindow], accel_key=65307, 
    accel_mods=0) at gtkaccelgroup.c:897
897		if (gtk_accel_group_activate (slist->data, accel_quark, object, accel_key, accel_mods))
(gdb) bt
#0  IA__gtk_accel_groups_activate (object=0x31c7a50 [GtkWindow], accel_key=
    65307, accel_mods=0) at gtkaccelgroup.c:897
#1  0x00000039ee68ebd2 in IA__gtk_window_activate_key (window=
    0x31c7a50 [GtkWindow], event=<value optimized out>) at gtkwindow.c:8269
#2  0x00000039ee6902c7 in gtk_window_key_press_event (widget=
    0x31c7a50 [GtkWindow], event=0x39d8630) at gtkwindow.c:5170
#3  0x00000039ee5539c3 in _gtk_marshal_BOOLEAN__BOXED (closure=0x23763b0, 
    return_value=0x7fff574658e0, n_param_values=<value optimized out>, 
    param_values=0x452a550, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#4  0x0000003b3ba0ba8e in IA__g_closure_invoke (closure=0x23763b0, 
    return_value=0x7fff574658e0, n_param_values=2, param_values=0x452a550, 
    invocation_hint=0x7fff574658a0) at gclosure.c:767
#5  0x0000003b3ba20b8d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
#6  0x0000003b3ba220ec in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fff57465a90) at gsignal.c:2990
#7  0x0000003b3ba227a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
---Type <return> to continue, or q <return> to quit---
#8  0x00000039ee675bef in gtk_widget_event_internal (widget=
    0x31c7a50 [GtkWindow], event=0x39d8630) at gtkwidget.c:4775
#9  0x00000039ee54a81b in IA__gtk_propagate_event (widget=
    0x31c7a50 [GtkWindow], event=0x39d8630) at gtkmain.c:2391
#10 0x00000039ee54b863 in IA__gtk_main_do_event (event=0x39d8630)
    at gtkmain.c:1622
#11 0x00000039ef45fb3c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2372
#12 0x0000003b3b63922e in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1960
#13 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#14 0x0000003b3b63cc18 in g_main_context_iterate (context=0x2355fd0, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2591
#15 0x0000003b3b63d065 in IA__g_main_loop_run (loop=0x31f4760) at gmain.c:2799
#16 0x00000039ee54bd97 in IA__gtk_main () at gtkmain.c:1218
#17 0x00007f3caecf46e6 in _wrap_gtk_main (self=<value optimized out>)
    at ./gtk.override:1241
#18 0x000000376fcdc652 in call_function (oparg=<value optimized out>, 
    pp_stack=<value optimized out>) at Python/ceval.c:3690
#19 PyEval_EvalFrameEx (oparg=<value optimized out>, 
    pp_stack=<value optimized out>) at Python/ceval.c:2389
---Type <return> to continue, or q <return> to quit---
#20 0x000000376fcde4e5 in PyEval_EvalCodeEx (co=0x253e558, 
    globals=<value optimized out>, locals=<value optimized out>, args=0x0, 
    argcount=<value optimized out>, kws=<value optimized out>, kwcount=0, defs=
    0x0, defcount=0, closure=0x0) at Python/ceval.c:2968
#21 0x000000376fcde5f2 in PyEval_EvalCode (co=0x1facd30, globals=0x5, locals=
    0x20) at Python/ceval.c:522
#22 0x000000376fcf965c in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0x1e4a630, locals=0x1e4a630, 
    flags=<value optimized out>, arena=<value optimized out>)
    at Python/pythonrun.c:1335
#23 0x000000376fcf9730 in PyRun_FileExFlags (fp=0x1f22400, filename=
    0x7fff574683c5 "gajim.py", start=<value optimized out>, 
    globals=<value optimized out>, locals=0x1e4a630, closeit=1, flags=
    0x7fff57466260) at Python/pythonrun.c:1321
#24 0x000000376fcfab0c in PyRun_SimpleFileExFlags (fp=<value optimized out>, 
    filename=0x7fff574683c5 "gajim.py", closeit=1, flags=0x7fff57466260)
    at Python/pythonrun.c:931
#25 0x000000376fd07389 in Py_Main (argc=-1223135088, 
    argv=<value optimized out>) at Modules/main.c:599
#26 0x0000003762c1eb1d in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at libc-start.c:220
#27 0x0000000000400649 in _start ()
(gdb) l
892	      accel_name = gtk_accelerator_name (accel_key, (accel_mods & gtk_accelerator_get_default_mod_mask ()));
893	      accel_quark = g_quark_from_string (accel_name);
894	      g_free (accel_name);
895	      
896	      for (slist = gtk_accel_groups_from_object (object); slist; slist = slist->next)
897		if (gtk_accel_group_activate (slist->data, accel_quark, object, accel_key, accel_mods))
898		  return TRUE;
899	    }
900	  
901	  return FALSE;
(gdb) print slist
$1 = 0xff669198 = {Cannot access memory at address 0xff669198
(gdb) print object
$2 = 0x31c7a50 [GtkWindow]
(gdb) 

FWIW: There is only one thread.
Comment 10 Haïkel Guémar 2010-01-23 03:23:37 EST
Component should be gajim and not listen which has nothing to do with this ticket.
Comment 11 Fedora Admin XMLRPC Client 2010-03-12 15:36:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Michal Schmidt 2010-03-19 05:57:59 EDT
*** Bug 540587 has been marked as a duplicate of this bug. ***
Comment 13 Michal Schmidt 2010-03-19 06:03:34 EDT
*** Bug 544828 has been marked as a duplicate of this bug. ***
Comment 14 Michal Schmidt 2010-03-19 06:26:19 EDT
I was able to reproduce it with gajim-0.12.5-1.fc12, but no such crash with gajim-0.13.3-3.fc12 so far.

Would you please test if you can make it crash?: https://admin.fedoraproject.org/updates/gajim-0.13.3-3.fc12
Comment 15 Tobias Mueller 2010-06-17 08:48:00 EDT
I couldn't make it crash on F13 so far. Also, Gajim-0.13.4 runs fine on my other Ubuntu machine.
Comment 16 Michal Schmidt 2010-06-17 09:03:25 EDT
I haven't seen 0.13.4 crash either. Let's assume it is fixed. Feel free to reopen if the bug reappears.
Comment 17 Tobias Mueller 2012-09-21 13:28:57 EDT
FWIW, it just crashed for me and abrt produced bug 859507
Comment 18 Tobias Mueller 2012-09-30 16:38:05 EDT
According to upstream, this bug has been fixed with a rather small patch. I'd be cool to have it patched in F17, too.
Comment 19 Tobias Mueller 2012-10-01 11:30:50 EDT
Created attachment 619855 [details]
Patch fixing the issue for me
Comment 20 Fedora End Of Life 2013-07-04 02:51:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2013-08-01 14:31:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.